{
  config,
  flake,
  ...
}:
let
  configPath = ./config;
  settingsPath = import (configPath + /settings.nix) { inherit config flake; };
  stylePath = import (configPath + /style.nix) { inherit config flake; };
in
{
  programs.waybar = {
    enable = true;
    settings = settingsPath;
    style = stylePath;
  };
}
